Foxit PDF SDK

Static Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.Combination Class Reference
Inheritance diagram for FoxitPDFSDKPython2.Combination:

## Static Public Member Functions
def | StartCombineDocuments (dest_file, document_array, options, pause)
| Start to combine PDF files. More...
def | StartCombineDocuments (dest_file_path, document_array, options, pause)
| Start to combine PDF files. More...

## Static Public Attributes
| e_CombineDocsOptionAcroformRename = _fsdk.Combination_e_CombineDocsOptionAcroformRename
| If set, that means fields with same name will be renamed in combined result PDF file.
| e_CombineDocsOptionBookmark = _fsdk.Combination_e_CombineDocsOptionBookmark
| If set, that means bookmarks of source PDF files will be outputted to combined result PDF file.
| e_CombineDocsOptionDuplicateStream = _fsdk.Combination_e_CombineDocsOptionDuplicateStream
| If set, that means duplicate stream objects from source PDF files will be outputted to combined result PDF file.
| e_CombineDocsOptionMarkInfos = _fsdk.Combination_e_CombineDocsOptionMarkInfos
| If set, that means "MarkInfo" of source PDF files will be outputted to combined result PDF file.
| e_CombineDocsOptionNames = _fsdk.Combination_e_CombineDocsOptionNames
| If set, that means "Dests" name trees and "EmbeddedFiles" name trees of source PDF files will be outputted to combined result PDF file.
| e_CombineDocsOptionObjectStream = _fsdk.Combination_e_CombineDocsOptionObjectStream
| If set, that means object streams will be used to generate combined result PDF file in order to reduce result file size.
| e_CombineDocsOptionOCProperties = _fsdk.Combination_e_CombineDocsOptionOCProperties
| If set, that means "OCProperties" of source PDF files will be outputted to combined result PDF file.
| e_CombineDocsOptionOutputIntents = _fsdk.Combination_e_CombineDocsOptionOutputIntents
| If set, that means output intents of source PDF files will be outputted to combined result PDF file.
| e_CombineDocsOptionPageLabels = _fsdk.Combination_e_CombineDocsOptionPageLabels
| If set, that means page labels of source PDF files will be outputted to combined result PDF file.
| e_CombineDocsOptionStructrueTree = _fsdk.Combination_e_CombineDocsOptionStructrueTree
| If set, that means structure trees of source PDF files will be outputted to combined result PDF file.

## Detailed Description

This class can be used to combine several PDF files into one PDF file.

## Member Function Documentation

## ◆ StartCombineDocuments() [1/2]

FoxitPDFSDKPython2.Combination.StartCombineDocuments | ( |  | dest_file,
|  |  | document_array,
|  |  | options,
|  |  | pause
| ) |  |
| static

Start to combine PDF files.

It may take a long time to combining documents, so Foxit PDF SDK uses a progressive process to do this. This function does not support to combine XFA document.

Parameters

  [in] | dest_file | A FoxitPDFSDKPython2.FileWriterCallback object which is implemented by user to store the data of combined result PDF file in custom method.
  [in] | document_array | An information array which represents information of source PDF files which are to be combined.
  [in] | options | Options for combining PDF documents. Please refer to values starting from FoxitPDFSDKPython2.Combination.e_CombineDocsOptionBookmark and this can be one or a combination of these values. 0 means no option is used.
  [in] | pause | Pause object which decides if the combining process needs to be paused. This can be null which means not to pause during the parsing process. If this is not null, it should be a valid pause object implemented by user. Default value: null.

Returns
  A progressive object. Please check the rate of current progress by function FoxitPDFSDKPython2.Progressive.GetRateOfProgress . If the rate is not 100 yet, call function FoxitPDFSDKPython2.Progressive.Continue to continue the progress until the progress is finished.

## ◆ StartCombineDocuments() [2/2]

FoxitPDFSDKPython2.Combination.StartCombineDocuments | ( |  | dest_file_path,
|  |  | document_array,
|  |  | options,
|  |  | pause
| ) |  |
| static

Start to combine PDF files.

It may take a long time to combining documents, so Foxit PDF SDK uses a progressive process to do this. This function does not support to combine XFA document.

Parameters

  [in] | dest_file_path | A full path to save the combined result PDF file. This should not be an empty string.
  [in] | document_array | An information array which represents information of source PDF files which are to be combined.
  [in] | options | Options for combining PDF documents. Please refer to values starting from FoxitPDFSDKPython2.Combination.e_CombineDocsOptionBookmark and this can be one or a combination of these values. 0 means no option is used.
  [in] | pause | Pause object which decides if the combining process needs to be paused. This can be null which means not to pause during the parsing process. If this is not null, it should be a valid pause object implemented by user. Default value: null.

Returns
  A progressive object. Please check the rate of current progress by function FoxitPDFSDKPython2.Progressive.GetRateOfProgress . If the rate is not 100 yet, call function FoxitPDFSDKPython2.Progressive.Continue to continue the progress until the progress is finished.